# norootforbuild

%define _prefix /usr

%if %suse_version >= 1010
%define _name		php5-pear-net_sieve
%define _version	1.1.5
%define _phpdir	php5
%define _phpbin	%{_bindir}/php5
%define _peardir	PEAR
%define _pear		pear5
%else
%define _name		php4-pear-net_sieve
%define _version	1.1.1
%define _phpdir	php
%define _phpbin	%{_bindir}/php
%define _peardir	/
%define _pear		pear
%endif

Name:				%{_name}
Version:			%{_version}
Release:			1.3
Summary:			Handles talking to timsieved
License:			BSD
Group:			Productivity/Networking/Web/Servers
Url:				http://pear.php.net/package/Net_Sieve/
Source0:			http://pear.php.net/get/Net_Sieve-1.1.5.tgz
Source1:			http://pear.php.net/get/Net_Sieve-1.1.1.tgz
BuildArch:		noarch
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
Packager:		Marcus Hüwe <suse-tux@gmx.de>

%if %suse_version >= 1010
Requires:		php5-pear
Requires:		php5-pear-net_socket
BuildRequires:	php5-pear
%else
Requires:		php4-pear
Requires:		php4-pear-net_socket
BuildRequires:	php4-pear
%endif

%description
Provides an API to talk to the timsieved server that comes
with Cyrus IMAPd. Can be used to install, remove, mark active etc
sieve scripts.

Authors:
--------
	Anish Mistry
	Richard Heyes
	Damian Alejandro Fernandez Sosa

%prep
%if %suse_version >= 1010
%setup -c -a 0
%else
%setup -c -a 1
%endif

%build

%install
%__mv package*.xml Net_Sieve-%{version}
cd Net_Sieve-%{version}
PHP_PEAR_PHP_BIN="%{_phpbin} -d memory_limit=50m" %{_pear} -v -d doc_dir=%{_docdir}/%{name} install --nodeps --force -R %{buildroot} package.xml
%__rm -rf %{buildroot}%{_datadir}/%{_phpdir}/%{_peardir}/.{registry,filemap,lock,channels,depdb,depdblock}

%clean
%__rm -rf %{buildroot}

%files
%defattr(-, root, root)
%{_datadir}/%{_phpdir}/%{_peardir}/Net/Sieve.php
%if "%{version}" >= "1.1.3"
%{_datadir}/%{_phpdir}/%{_peardir}/test/Net_Sieve/SieveTest.php
%{_datadir}/%{_phpdir}/%{_peardir}/test/Net_Sieve/largescript.siv
%else
%{_datadir}/%{_phpdir}/%{_peardir}/test/Net_Sieve/test_sieve.php
%endif

%changelog
* Wed Oct 25 2006 Marcus Hüwe <suse-tux@gmx.de>
- new upstream version 1.1.5
- the whole enable/disable tls stuff is working now
* Sat Sep 30 2006 Marcus Hüwe <suse-tux@gmx.de>
- new upstream version 1.1.4
- removed Net_Sieve-1.1.3-no_tls.diff (it was accepted by the 
  upstream :) (see http://pear.php.net/bugs/bug.php?id=8071))
* Wed Jun 28 2006 Marcus Hüwe <suse-tux@gmx.de>
- added --force to the pear install options because the md5sum check
  fails (because a patch will be applied if %suse_version >= 1010)
- added Patch0: Net_Sieve-1.1.3-no_tls.diff; a tls_support_check will
  be disabled if we don't want to check for it (it's needed for ingo + kolab)
* Wed Jun 21 2006 Marcus Hüwe <suse-tux@gmx.de>
- we need two versions because 1.1.3 doesn't build on <= 1000 (new pear version required)
- initial build
